searchNodes=[{"type":"module","title":"Arb","doc":"A NIF for controlling the ABACOM CH341A relay board.","ref":"Arb.html"},{"type":"function","title":"Arb.activate/2","doc":"Activates the relays that correspond to the given a list of IDs. An empty list deactivates all relays. Options :port ( non_neg_integer/0 ) - The USB port to be used. Only necessary if multiple relay boards are connected. :verify ( boolean/0 ) - Configures whether the activation should be verified. The default value is true . Examples iex&gt; Arb . activate ( [ 1 , 4 , 7 ] ) :ok","ref":"Arb.html#activate/2"},{"type":"function","title":"Arb.get_active/1","doc":"Returns the ids of active relays. Options :port ( non_neg_integer/0 ) - The USB port to be used. Only necessary if multiple relay boards are connected. Examples iex&gt; Arb . get_active ( ) { :ok , [ 1 , 3 , 6 ] }","ref":"Arb.html#get_active/1"},{"type":"function","title":"Arb.reset/1","doc":"Resets the relay board. If, under some circumstances relay board operations fail due to a USB error e.g. {:error, {:usb, &quot;Input/Output Error&quot;}} , this function may resolve the issue by resetting the relay board. The effect is similar to replugging the device. Note: Previously activated relays stay active. Options :port ( non_neg_integer/0 ) - The USB port to be used. Only necessary if multiple relay boards are connected. Examples iex&gt; Arb . reset ( ) :ok","ref":"Arb.html#reset/1"},{"type":"type","title":"Arb.relay_id/0","doc":"The relays are labeled from 1 to 8 according to the data sheet .","ref":"Arb.html#t:relay_id/0"},{"type":"exception","title":"Arb.Error","doc":"An exception for errors returned by the arb library.","ref":"Arb.Error.html"},{"type":"type","title":"Arb.Error.reason/0","doc":"","ref":"Arb.Error.html#t:reason/0"},{"type":"type","title":"Arb.Error.t/0","doc":"","ref":"Arb.Error.html#t:t/0"},{"type":"extras","title":"arb-ex","doc":"An Elixir NIF for controlling the ABACOM CH341A relay board ( documentation ).","ref":"readme.html"},{"type":"extras","title":"arb-ex - Getting started","doc":"Requirements In order to compile a recent version of rust must be installed. Also, the native libusb library is required (e.g libusb-1.0-0-dev on Debian-based distributions). Installation Add :arb to your list of dependencies: def deps do [ { :arb , &quot;~&gt; 0.10&quot; } ] end","ref":"readme.html#getting-started"},{"type":"extras","title":"arb-ex - Usage","doc":"iex&gt; Arb . activate ( [ 1 , 4 , 7 ] ) :ok iex&gt; Arb . get_active ( ) { :ok , [ 1 , 4 , 7 ] }","ref":"readme.html#usage"},{"type":"extras","title":"arb-ex - Development","doc":"docker build -t arb-ex . docker run --privileged -it arb-ex","ref":"readme.html#development"},{"type":"extras","title":"arb-ex - See also","doc":"abacom-relay-board","ref":"readme.html#see-also"}]